package com.ssj.service.conch.schoolmaster.request;
import io.swagger.annotations.ApiModelProperty;

import com.ssj.bean.common.framework.core.domain.BaseRequest;

public class SearchTeacherDetailsRequest extends BaseRequest {
	private static final long serialVersionUID = 1L;

	@ApiModelProperty(name = "teacherId", value = "老师id", required = true)
    private String teacherId;

    @ApiModelProperty(name = "teacherImg", value = "头像", required = false)
    private String teacherImg;

    @ApiModelProperty(name = "name", value = "姓名", required = false)
    private String name;

    @ApiModelProperty(name = "sex", value = "性别", required = false)
    private int sex = -1;

    @ApiModelProperty(name = "phone", value = "联系电话", required = false)
    private String phone;

    public String getTeacherId() {
        return teacherId;
    }

    public void setTeacherId(String teacherId) {
        this.teacherId = teacherId;
    }

    public String getTeacherImg() {
        return teacherImg;
    }

    public void setTeacherImg(String teacherImg) {
        this.teacherImg = teacherImg;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public int getSex() {
        return sex;
    }

    public void setSex(int sex) {
        this.sex = sex;
    }

    public String getPhone() {
        return phone;
    }

    public void setPhone(String phone) {
        this.phone = phone;
    }
}
